unit uMHA_ASI;

interface

uses
  Classes,
  Controls,
  fIA_dialogs,
  SysUtils;

type
  TReportType = (rtNarrative, rtItem);
  TInterviewType = (itFull, itLite, itFU, itMV);

type
  TASI = class
    ReportType: TReportType;
    InterviewType: TInterviewType;
  private
    FInterviewerName,
      FOrderedByName,
      FInterviewTypeStr,
      FIENS,
      FG12,
      FInterviewerDUZ,
      FOrderedByDUZ: string;

    FASIDate: TDateTime;
    FIENSExist,
      FIsSigned,
      FCanBeSignedByUser: Boolean;

  protected
  public
    property InterviewerName: string read FInterviewerName write FInterviewerName;
    property OrderedByName: string read FOrderedByName write FOrderedByName;
    property InterviewTypeStr: string read FInterviewTypeStr write FInterviewTypeStr;
    property IENS: string read FIENS write FIENS;
    property IENSExist: Boolean read FIENSExist write FIENSExist;
    property ASIDate: TDateTime read FASIDate write FASIDate;
    property G12: string read FG12 write FG12;
    property IsSigned: BOOLEAN read FIsSigned write FIsSigned;
    property InterviewerDUZ: string read FInterviewerDUZ write FInterviewerDUZ;
    property OrderedByDUZ: string read FOrderedByDUZ write FOrderedByDUZ;
    property CanBeSignedByUser: BOOLEAN read FCanBeSignedByUser write FCanBeSignedByUser;

  published
  end; { TASI }

var
  ASI                         : TASI;

implementation



end.

