unit uIA_Introduction;

(*

1) The relationship between Question and Introduction is a congruence between their
respective ObjectLists. Introduction[1] is for Question[1], and so on.
The ObjectList starts at zero. The Introduction appears on the form before the
Question it is linked with.

*)

interface

uses
  classes,
  uIA_Display;

type
  TIntroduction = class
    Display: TDisplay;
  private
    FID,
      FiText: string;
    FIsNew: Boolean;
  protected
  public
    destructor Destroy; override;
    constructor Create;
    property ID: string read FID write FID;
    property iText: string read FiText write FiText;
    property IsNew: BOOLEAN read FIsNew write FIsNew;
  published
  end; { TIntroduction }


implementation

constructor TIntroduction.Create;
begin
  inherited Create;
  Display := TDisplay.Create;
end;


destructor TIntroduction.Destroy;
begin
  if Display <> nil then
    Display.Free;
  inherited Destroy;
end;


end.

